people
Patch apiv1users
PATCH
/
api
/
v1
/
users
/
{userId}
cURL
curl --request PATCH \
--url https://tessera.edstratumlabs.ai/api/v1/users/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/users/{userId}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://tessera.edstratumlabs.ai/api/v1/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"role": "administrator",
"initials": "<string>",
"profile": {
"goals": [
"finish-degree"
],
"goalNote": "<string>",
"weeklyMinutes": 1200,
"language": "<string>",
"readingLevel": "standard",
"accessibility": {
"captions": true,
"reducedMotion": true,
"largerText": true,
"screenReader": true
},
"reminders": "off",
"completedAt": "<string>",
"sessionMinutes": 122
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Body
application/json
Response
Success
Minimum string length:
1Minimum string length:
1Minimum string length:
1Pattern:
^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Available options:
administrator, instructor, student Minimum string length:
1Show child attributes
Show child attributes
⌘I
cURL
